Stem Save
Description
Stem save will insert or update a stem's uuid, extension, display name, or description (with restrictions)
Features
Can pass SaveMode which is INSERT, UPDATE, or INSERT_OR_UPDATE (default)
If the parent stem doesnt exist, the call will fail
Lookup stem to edit by stem lookup (by name or uuid)
Returns stem
Can actAs another user
Stem save Lite service
Accepts one stem to save
Documentation: SOAP (click on stemSaveLite), REST (click on stemSaveLite)
For REST, the request can put data in query string (in URL or request body)
REST request (colon is escaped to %3A): PUT /grouper-ws/servicesRest/v1_3_000/stems/aStem%3AaStem2
(see documentation above for details): Request object, response object
Samples (all files with "Lite" in them, click on "download" to see file)
Stem save service
Accepts multiple stems to save
Documentation: SOAP (click on stemSave), REST (click on stemSave)
REST request (colon is escaped to %3A): PUT /grouper-ws/servicesRest/v1_3_000/stems
(see documentation above for details): Request object, response object
Returns an overall status, and a status for each assignment
Samples (all files without "Lite" in them, click on "download" to see files)
Move or copy stem
Send in a wsStemLookup, and no wsStem. This will return SUCCESS_INSERTED if successful
Note, the documentation below is copied from the move/copy documentation which is most of up to date
Params (note param indexes passed in should be sequential starting with 0)
This will return the destination stem with the extension of the Stem copied/moved (which may or may not be the resulting stem)
Param | Value | Notes |
|---|---|---|
[--paramName0=moveOrCopy] [--paramValue0=copy] | move|copy |
|
[--paramName1=moveOrCopyToStemUuid] [--paramValue1=abc123] | uuid of a stem to move or copy to | mutually exclusive with moveOrCopyStemName andmoveOrCopyToStemIdIndex |
[--paramName2=moveOrCopyToStemName] [--paramValue2=a:b:c] | name of stem to move or copy to | mutually exclusive with moveOrCopyStemUuid andmoveOrCopyToStemIdIndex |
[--paramName3=moveOrCopyToStemIdIndex] [--paramValue3=19] | id index of stem to move or copy to | mutually exclusive with moveOrCopyStemUuid andmoveOrCopyStemName |
[--paramName4=copyPrivilegesOfGroup] [--paramValue4=true] | true|false | Whether to copy the access privileges of the group. |
[--paramName5=copyGroupAsPrivilege] [--paramValue5=true] | true|false | Whether to copy access and naming privileges where the group is a member. |
[--paramName6=copyListMembersOfGroup] [--paramValue6=true] | true|false | Whether to copy list memberships of the group. If this option is selected |
[--paramName7=copyListGroupAsMember] [--paramValue7=true] | true|false | Whether to copy list memberships where the group is a member. |
[--paramName8=copyAttributes] [--paramValue8=true] | true|false | Whether to copy attributes. If this option is selected, you must have READ |
[--paramName9=moveAssignAlternateName] [--paramValue9=true] | true|false | Whether to assign the old name of the stem as an alternate name of |
[--paramName10=copyPrivilegesOfStem] [--paramValue10=true] | true|false | Whether to copy the naming privileges of the folder and child folders. |
Example
<WsRestStemSaveRequest>
<wsStemToSaves>
<WsStemToSave>
<wsStemLookup>
<stemName>test:testStemToCopy</stemName>
</wsStemLookup>
<wsStem>
<displayExtension>testStemToCopy</displayExtension>
<name>test:testStemToCopy</name>
</wsStem>
</WsStemToSave>
</wsStemToSaves>
<params>
<WsParam>
<paramName>moveOrCopy</paramName>
<paramValue>move</paramValue>
</WsParam>
<WsParam>
<paramName>moveOrCopyToStemUuid</paramName>
<paramValue>a465830677a8485c8abc3e7c31a312b3</paramValue>
</WsParam>
<WsParam>
<paramName>moveAssignAlternateName</paramName>
<paramValue>false</paramValue>
</WsParam>
</params>
</WsRestStemSaveRequest>
sdf